Disable assistant inbound webhook
curl --request POST \
--url https://app.botrep.ai/api/user/assistants/disable-inbound-webhook \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assistant_id": 123
}
'import requests
url = "https://app.botrep.ai/api/user/assistants/disable-inbound-webhook"
payload = { "assistant_id": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({assistant_id: 123})
};
fetch('https://app.botrep.ai/api/user/assistants/disable-inbound-webhook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Inbound webhook disabled successfully",
"data": []
}
{
"message": "Assistant not found"
}
{
"message": "The given data was invalid.",
"errors": {
"assistant_id": [
"The assistant id field is required."
]
}
}
Assistants
Disable assistant inbound webhook
Disable inbound webhook notifications for a specific assistant
POST
/
user
/
assistants
/
disable-inbound-webhook
Disable assistant inbound webhook
This endpoint disables inbound webhook notifications for an assistant, stopping the delivery of real-time updates about inbound call completions and data.
Request Body
The ID of the assistant to disable webhook for
Response
Success message confirming webhook was disabled
Empty array (reserved for future use)
Error Responses
404 Not Found
Show Error Response
Show Error Response
Error message when the assistant is not found or doesn’t belong to the authenticated user
422 Validation Error
{
"message": "Inbound webhook disabled successfully",
"data": []
}
{
"message": "Assistant not found"
}
{
"message": "The given data was invalid.",
"errors": {
"assistant_id": [
"The assistant id field is required."
]
}
}
⌘I

